%define fontname	thibault
%define fontdir		%{_datadir}/fonts/%{fontname}
%define fontconfdir	%{_sysconfdir}/fonts/conf.d
%define conf1		69-essays1743.conf
%define conf2		69-isabella.conf
%define conf3		69-rockets.conf
%define conf4		69-staypuft.conf

Name:		%{fontname}-fonts
Version:	0.1
Release:	1%{?dist}
Summary:	Thibault.org font collection

Group:		User Interface/X
License:	LGPLv2+
URL:		http://www.thibault.org/fonts
Source0:	http://thibault.org/fonts/essays/Essays1743-1.0-ttf.tar.gz
Source1:	http://www.thibault.org/fonts/isabella/Isabella.tar.gz
Source2:	http://www.thibault.org/fonts/rockets/Rockets-ttf.tar.gz
Source3:	http://www.thibault.org/fonts/staypuft/StayPuft.tar.gz
Source4:	69-essays1743.conf
Source5:	69-isabella.conf
Source6:	69-rockets.conf
Source7:	69-staypuft.conf

#Not included due to legal concerns
#Engadget: A sort of modernistic font done to match the logo of http://www.engadget.com
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	fontforge >= 20061025-1

%description
A collection of fonts from thibault.org, 
including Isabella, Essays1743, StayPuft, 
and Rockets.

%package essays1743
Group:	 User Interface/X
Summary: Thibault.org Montaigne's Essays typeface font
License: LGPLv2+

%description essays1743
A font by John Stracke, based on the
typeface used in a 1743 English
translation of Montaigne's Essays. 

%package isabella
Group:	 User Interface/X
Summary: Thibault.org Isabella Breviary calligraphic font
License: LGPLv2

%description isabella
This font is called Isabella because it is based on the
calligraphic hand used in the Isabella Breviary, made around 1497, in
Holland, for Isabella of Castille, the first queen of united Spain.

%package rockets
Group:	 User Interface/X
Summary: Thibault.org font, vaguely space themed
License: LGPLv2

%description rockets
This font is called Rockets because it's vaguely space
themed.  The A is, more or less, a 1950s SF rocket; the O is meant to
be Earth, with the Americas visible.  The other capitals are based on
curves from either A or O, to keep the theme consistent.

%package staypuft
Group:	 User Interface/X
Summary: Thibault.org font, rounded and marshmellowy
License: LGPLv2

%description staypuft
A rounded marshmellow type font. Good for frivolous things
like banners, and birthday cards.

%prep
mkdir -p isabella staypuft
tar xvzf %{SOURCE0}
tar xvzf %{SOURCE1} -C isabella
tar xvzf %{SOURCE2}
tar xvzf %{SOURCE3} -C staypuft

%build
pushd Essays1743
fontforge -c 'Open($1); Generate($2)' Essays1743.sfd ../Essays1743.ttf
fontforge -c 'Open($1); Generate($2)' Essays1743-Bold.sfd ../Essays1743-Bold.ttf
fontforge -c 'Open($1); Generate($2)' Essays1743-BoldItalic.sfd ../Essays1743-BoldItalic.ttf
fontforge -c 'Open($1); Generate($2)' Essays1743-Italic.sfd ../Essays1743-Italic.ttf
popd

pushd isabella
fontforge -c 'Open($1); Generate($2)' Isabella-first.sfd ../Isabella.ttf
popd

pushd rockets
fontforge -c 'Open($1); Generate($2)' Rockets.sfd ../Rockets.ttf
popd

pushd staypuft
fontforge -c 'Open($1); Generate($2)' StayPuft.sfd ../StayPuft.ttf
popd

%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{fontdir}
install -pm 644 *.ttf $RPM_BUILD_ROOT%{fontdir}
install -m 0755 -d %{buildroot}%{fontconfdir}
install -m 0644 -p %{SOURCE4} %{buildroot}%{fontconfdir}/
install -m 0644 -p %{SOURCE5} %{buildroot}%{fontconfdir}/
install -m 0644 -p %{SOURCE6} %{buildroot}%{fontconfdir}/
install -m 0644 -p %{SOURCE7} %{buildroot}%{fontconfdir}/

%clean
rm -rf $RPM_BUILD_ROOT


%post essays1743
if [ -x %{_bindir}/fc-cache ] ; then
	%{_bindir}/fc-cache -f %{fontdir} || :
fi
	
%postun essays1743
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ] ; then
	%{_bindir}/fc-cache -f %{fontdir} || :
fi

%files essays1743
%defattr(644,root,root,755)
%doc Essays1743/COPYING Essays1743/README
%dir %{fontdir}/
%{fontdir}/Essays1743*.ttf
%config(noreplace) %{fontconfdir}/%{conf1}

%post isabella
if [ -x %{_bindir}/fc-cache ] ; then
	%{_bindir}/fc-cache -f %{fontdir} || :
fi
	
%postun isabella
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ] ; then
	%{_bindir}/fc-cache -f %{fontdir} || :
fi

%files isabella
%defattr(644,root,root,755)
%doc isabella/COPYING.LIB isabella/README.txt
%dir %{fontdir}/
%{fontdir}/Isabella.ttf
%config(noreplace) %{fontconfdir}/%{conf2}

%post rockets
if [ -x %{_bindir}/fc-cache ] ; then
	%{_bindir}/fc-cache -f %{fontdir} || :
fi
	
%postun rockets
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ] ; then
	%{_bindir}/fc-cache -f %{fontdir} || :
fi

%files rockets
%defattr(644,root,root,755)
%doc rockets/COPYING.LIB rockets/README.txt
%dir %{fontdir}/
%{fontdir}/Rockets.ttf
%config(noreplace) %{fontconfdir}/%{conf3}

%post staypuft
if [ -x %{_bindir}/fc-cache ] ; then
	%{_bindir}/fc-cache -f %{fontdir} || :
fi
	
%postun staypuft
if [ $1 -eq 0 -a -x %{_bindir}/fc-cache ] ; then
	%{_bindir}/fc-cache -f %{fontdir} || :
fi

%files staypuft
%defattr(644,root,root,755)
%doc staypuft/COPYING.LIB staypuft/README.txt
%dir %{fontdir}/
%{fontdir}/StayPuft.ttf
%config(noreplace) %{fontconfdir}/%{conf4}

%changelog
#thibault
* Fri Jul 18 2008 Lyos Gemini Norezel <Lyos.GeminiNorezel@gmail.com> 0.1-1
- Fixed minor issues found during review. 

* Mon Jul 15 2008 Matt Domsch <mdomsch@fedoraproject.org>
- Rewrote spec file to comply with fedora's policies

* Thu Jul 10 2008 Lyos Gemini Norezel <Lyos.GeminiNorezel@gmail.com> 
- Removed the Engadget font due to legal concerns

* Wed Jul 09 2008 Lyos Gemini Norezel <Lyos.GeminiNorezel@gmail.com>
- Fixed post and postun issues to stay in specs that Fedora requires.
- Fixed define issues.
- Created multiple source rpm
- Fixed issues with setup block

* Fri Jul 04 2008 Lyos Gemini Norezel <Lyos.GeminiNorezel@gmail.com>
- compiled collection of thibault.org fonts into single rpm

#rockets
* Sun Jan 29 2006 John Stracke <francis@thibault.org>
- based on specfile of Isabella-ttf.

#engadget
* Sun Aug 28 2005 John Stracke <francis@thibault.org>
- based on specfile of isabella-ttf.

#isabella
* Sun Jul 03 2005 John Stracke <francis@thibault.org>
- Finally getting rid of the Greek-letters-pretending-to-be-ligatures
  and moving them up to the Private Use Area.

* Sun Oct 31 2004 John Stracke <francis@thibault.org>
- adding reference to bold (added italic a bit ago)

#essays1743
* Sun Oct 31 2004 John Stracke <francis@thibault.org>
- adding reference to bold (added italic a bit ago)

* Wed Oct 06 2004 John Stracke <francis@thibault.org>
- based on specfile of RedHat 9 urw-fonts.

#isabella
* Wed Oct 06 2004 John Stracke <francis@thibault.org>
- based on specfile of RedHat 9 urw-fonts.

